import request from '@/utils/request';

/*  干燥区台账  */


// 列表 
export async function getList (data) {
    let par = new URLSearchParams(data);
    const res = await request.get(`/main/aridregion/page?` + par, {});
    if (res.data.code == 0) {
      return res.data.data;
    }
    return Promise.reject(new Error(res.data.message));
  }
  

  // 新增
  export async function save (data) {
    const res = await request.post(`/main/aridregion/save`, data);
    if (res.data.code == 0) {
      return res.data;
    }
    return Promise.reject(new Error(res.data.message));
  }

  // 编辑
  export async function update (data) {
    const res = await request.put(`/main/aridregion/update`, data);
    if (res.data.code == 0) {
      return res.data.message;
    }
    return Promise.reject(new Error(res.data.message));
  }
  
// 删除
export async function removeItem (data) {
  const res = await request.delete('/main/aridregion/delete', { data });
  if (res.data.code == 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}
